cgGetParameterValues(3)

NAME
cgGetParameterValues - get a program parameter's values

SYNOPSIS
  #include <Cg/cg.h>
  const double * cgGetParameterValues( CGparameter param,
                                       CGenum value_type,
                                       int * nvalues );

PARAMETERS

param
    The program parameter.

value_type
    Determines what type of value to return. Valid enumerants are :

    • CG_CONSTANT
        Returns the constant values for parameters that have constant variability. See the cgGetParameterVariability manpage for more information.

    • CG_DEFAULT
        Returns the default values for a uniform parameter.

    • CG_CURRENT
        Returns the current values for a uniform parameter.

nvalues
    Pointer to integer that will be initialized to store the number of values returned.

RETURN VALUES
Returns a pointer to an array of double values. The number of values in the array is returned via the nvalues parameter.

Returns NULL if no values are available, and nvalues will be 0.

DESCRIPTION
cgGetParameterValues allows the application to retrieve default, current, or constant values from uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

CG_INVALID_ENUMERANT_ERROR is generated if value_type is not CG_CONSTANT, CG_DEFAULT, or CG_CURRENT.

HISTORY
cgGetParameterValues was introduced in Cg 1.1.

SEE ALSO
cgGetParameterVariability